<html>
<head>
<title>Ogre::ExceptionFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ExceptionFactory.html">ExceptionFactory</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ExceptionFactory Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ExceptionFactory" -->
<p>Class implementing dispatch methods in order to construct by-value exceptions of a derived type based just on an exception code.  
 <a href="classOgre_1_1ExceptionFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreException_8h_source.html">OgreException.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ExceptionFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1UnimplementedException.html">UnimplementedException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba9e2cd2d2436678236e339e6a42887090">Exception::ERR_NOT_IMPLEMENTED</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1FileNotFoundException.html">FileNotFoundException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#a7d063369971312bb2675852a1655759e">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba65ef64423bae408d90e0af0166bac152">Exception::ERR_FILE_NOT_FOUND</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1IOException.html">IOException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#a3d07b4554fa6cf19b7f411c5e864adf9">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29baaeb75efe079b550f380d62d9a0954e71">Exception::ERR_CANNOT_WRITE_TO_FILE</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1InvalidStateException.html">InvalidStateException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#af622c0d4c88eba3481a5b5141b88095f">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba9d61f90f76dd3e119d608876ea5f7957">Exception::ERR_INVALID_STATE</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1InvalidParametersException.html">InvalidParametersException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#a37f17de5fb048014074269bde8774f94">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba359c10b8abe9abf39f84550a903e4698">Exception::ERR_INVALIDPARAMS</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ItemIdentityException.html">ItemIdentityException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#a3f08ea4905d6e0b730a4e00c0724879c">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba9f57f8f4aefb7fae5fcd69fe155e7003">Exception::ERR_ITEM_NOT_FOUND</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ItemIdentityException.html">ItemIdentityException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#ac6d7515b9dc9b6b308ece16a8640cb65">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba932168f4c4ae1a90391233de8a21ab1a">Exception::ERR_DUPLICATE_ITEM</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1InternalErrorException.html">InternalErrorException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#a32f4396c0b3f4dce4687200f32c1d5c5">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba946e7d147a09d8db65b6143d1d348c99">Exception::ERR_INTERNAL_ERROR</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1RenderingAPIException.html">RenderingAPIException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#a42609de5fc71629fd505a445b28567c8">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba55da7c9771a98e7c96c3900028f02703">Exception::ERR_RENDERINGAPI_ERROR</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1RuntimeAssertionException.html">RuntimeAssertionException</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#adffdbf68438b18ae7819ce9520b5aa7b">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29bae8c10c1472a5d4005d1c25adb5e2764d">Exception::ERR_RT_ASSERTION_FAILED</a> &gt; code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#ac4da3f535cd552d055b53cb041b721e4">ExceptionFactory</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Private constructor, no construction.  <a href="#ac4da3f535cd552d055b53cb041b721e4"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class implementing dispatch methods in order to construct by-value exceptions of a derived type based just on an exception code. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This nicely handles construction of derived Exceptions by value (needed for throwing) without suffering from ambiguity - each code is turned into a distinct type so that methods can be overloaded. This allows OGRE_EXCEPT to stay small in implementation (desirable since it is embedded) whilst still performing rich code-to-type mapping. </dd></dl>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00260">260</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac4da3f535cd552d055b53cb041b721e4"></a><!-- doxytag: member="Ogre::ExceptionFactory::ExceptionFactory" ref="ac4da3f535cd552d055b53cb041b721e4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExceptionFactory.html#ac4da3f535cd552d055b53cb041b721e4">Ogre::ExceptionFactory::ExceptionFactory</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Private constructor, no construction. </p>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00264">264</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2a13a97a32a5992f1e82f6c8fb8190fb"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="a2a13a97a32a5992f1e82f6c8fb8190fb" args="(ExceptionCodeType&lt; Exception::ERR_NOT_IMPLEMENTED &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1UnimplementedException.html">UnimplementedException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba9e2cd2d2436678236e339e6a42887090">Exception::ERR_NOT_IMPLEMENTED</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00266">266</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<a class="anchor" id="a7d063369971312bb2675852a1655759e"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="a7d063369971312bb2675852a1655759e" args="(ExceptionCodeType&lt; Exception::ERR_FILE_NOT_FOUND &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1FileNotFoundException.html">FileNotFoundException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba65ef64423bae408d90e0af0166bac152">Exception::ERR_FILE_NOT_FOUND</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00273">273</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<a class="anchor" id="a3d07b4554fa6cf19b7f411c5e864adf9"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="a3d07b4554fa6cf19b7f411c5e864adf9" args="(ExceptionCodeType&lt; Exception::ERR_CANNOT_WRITE_TO_FILE &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1IOException.html">IOException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29baaeb75efe079b550f380d62d9a0954e71">Exception::ERR_CANNOT_WRITE_TO_FILE</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00280">280</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<a class="anchor" id="af622c0d4c88eba3481a5b5141b88095f"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="af622c0d4c88eba3481a5b5141b88095f" args="(ExceptionCodeType&lt; Exception::ERR_INVALID_STATE &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1InvalidStateException.html">InvalidStateException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba9d61f90f76dd3e119d608876ea5f7957">Exception::ERR_INVALID_STATE</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00287">287</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<a class="anchor" id="a37f17de5fb048014074269bde8774f94"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="a37f17de5fb048014074269bde8774f94" args="(ExceptionCodeType&lt; Exception::ERR_INVALIDPARAMS &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1InvalidParametersException.html">InvalidParametersException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba359c10b8abe9abf39f84550a903e4698">Exception::ERR_INVALIDPARAMS</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00294">294</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<a class="anchor" id="a3f08ea4905d6e0b730a4e00c0724879c"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="a3f08ea4905d6e0b730a4e00c0724879c" args="(ExceptionCodeType&lt; Exception::ERR_ITEM_NOT_FOUND &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ItemIdentityException.html">ItemIdentityException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba9f57f8f4aefb7fae5fcd69fe155e7003">Exception::ERR_ITEM_NOT_FOUND</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00301">301</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<a class="anchor" id="ac6d7515b9dc9b6b308ece16a8640cb65"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="ac6d7515b9dc9b6b308ece16a8640cb65" args="(ExceptionCodeType&lt; Exception::ERR_DUPLICATE_ITEM &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ItemIdentityException.html">ItemIdentityException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba932168f4c4ae1a90391233de8a21ab1a">Exception::ERR_DUPLICATE_ITEM</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00308">308</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<a class="anchor" id="a32f4396c0b3f4dce4687200f32c1d5c5"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="a32f4396c0b3f4dce4687200f32c1d5c5" args="(ExceptionCodeType&lt; Exception::ERR_INTERNAL_ERROR &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1InternalErrorException.html">InternalErrorException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba946e7d147a09d8db65b6143d1d348c99">Exception::ERR_INTERNAL_ERROR</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00315">315</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<a class="anchor" id="a42609de5fc71629fd505a445b28567c8"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="a42609de5fc71629fd505a445b28567c8" args="(ExceptionCodeType&lt; Exception::ERR_RENDERINGAPI_ERROR &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1RenderingAPIException.html">RenderingAPIException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba55da7c9771a98e7c96c3900028f02703">Exception::ERR_RENDERINGAPI_ERROR</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00322">322</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<a class="anchor" id="adffdbf68438b18ae7819ce9520b5aa7b"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="adffdbf68438b18ae7819ce9520b5aa7b" args="(ExceptionCodeType&lt; Exception::ERR_RT_ASSERTION_FAILED &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1RuntimeAssertionException.html">RuntimeAssertionException</a> <a class="el" href="classOgre_1_1ExceptionFactory.html#a2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29bae8c10c1472a5d4005d1c25adb5e2764d">Exception::ERR_RT_ASSERTION_FAILED</a> &gt;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00329">329</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00189">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreException_8h_source.html">OgreException.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
